<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />

    <section name="plugins" type="System.Configuration.DictionarySectionHandler" />

    <section name="wowFinderSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="geekDeskSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="remoteMainSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="retroGamesSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="workerListSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="aria2Settings" type="System.Configuration.DictionarySectionHandler" />
    <section name="aboutSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="happyDictSettings" type="System.Configuration.DictionarySectionHandler" />

    <section name="SystemIcons" type="System.Configuration.DictionarySectionHandler" />
    <section name="ShowSecondsSettings" type="System.Configuration.DictionarySectionHandler" />
    <section name="SystemBGs" type="System.Collections.ObjectModel.ObservableCollection" />
    <section name="GradientBGParam" type="GeekDesk.ViewModel.GradientBGParam" />
  </configSections>
  
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
  </startup>
  <ShowSecondsSettings>
    <add key="Version" value="1.0.01" />
    <add key="LProportion" value="0.82" />
    <add key="TProportion" value="0.03" />
    <add key="DelayTime" value="1500" />
  </ShowSecondsSettings>
  <SystemIcons>
    <add key="Calculator" value="计算器" />
    <add key="Computer" value="此电脑" />
    <add key="GroupPolicy" value="组策略" />
    <add key="Network" value="网络连接" />
    <add key="RecycleBin" value="回收站" />
    <add key="Registry" value="注册表编辑器" />
    <add key="Notepad" value="记事本" />
    <add key="Mstsc" value="远程桌面连接" />
    <add key="Control" value="控制面板" />
    <add key="CMD" value="命令行" />
    <add key="Services" value="服务" />
  </SystemIcons>
  
  <appSettings>
    <add key="sidebarTabs" value="geekDesk,remoteMain,wowFinder,retroGames,happyDict,aria2,about" />
    <add key="streamSource" value="sunshine" />
    <add key="forceSetupVDriver" value="false" />
    <add key="externalIPAddress" value="!from_router" />
    <add key="UseNetTransit" value="true" />
    <add key="WorkerLimit" value="5" />
    <add key="enableAutoUpdate" value="true" />
    
    <add key="AppName" value="星际喵" />
    <!--<add key="appIcon" value="pack://application:,,,/PalStreaming;component/images/purplefox.ico" />-->
    <!--<add key="appIcon" value="images\sidebar\geekDesk.png" />-->
    <add key="webDebugKey" value="fd8027081b2928f358f97e3ad0dd2fda" />

    <add key="randomPasswordStrength" value="1" />
    <add key="rememberLockPassword" value="true" />

    <add key="useMacIDAsDeviceId" value="false" />
    <!--add key="titleColor" value="40,130,40" /-->
    <add key="titleColor" value="88,19,94" />
    <add key="settingsPageVisible" value="true" />
    <add key="windowCanResize" value="true" />
    <add key="startInTray" value="false" />

    <!--add key="remoteMainButtons" value="uploader,together,gameInnerStream" /-->
    <add key="remoteMainButtons" value="" />
	  
    <!--<add key="showUploaderButton" value="true" />
    <add key="showTogetherButton" value="true" />
    <add key="showGameInnerStreamButton" value="true"/>-->
    
    <add key="showQuickQRButton" value="true" />
    
    <add key="controlledEnabled" value="true" />
    <add key="showRemoteControlPane" value="true" />
    <add key="closeToHideWindow" value="true" />
    <add key="loadUrlAfterQuickLogin" value="true" />
    

    <add key="IsLocalWebsite" value="true" />
    
    <add key="WebScheme" value="http://" />
    <!--<add key="WebHost" value="47.108.24.232:8088" />-->
    <add key="WebHost" value="www.palstreaming.com:8080" />
    <add key="WebIndex" value="home/shellindex" />

    <add key="TcpCentreSrvHost" value="www.palstreaming.com" />
    <add key="TcpCentreSrvPort" value="8007" />

    <!--<add key="TcpCentreSrvHost" value="127.0.0.1" />
    <add key="TcpCentreSrvPort" value="8017" />-->
    
    <add key="relayQuerySrvPort" value="32982" />
    
    <!--
    <add key="versionCode" value="200" />
    <add key="checkVersionUrl" value="http://www.palstreaming.com/downloads/2.0/" />
    <add key="updateVersionUrl" value="http://res.palstreaming.com/downloads/2.0/" />
    -->
    
    <!--
    <add key="WebScheme" value="http://" />
    <add key="WebHost" value="localhost:55264" />
    <add key="WebIndex" value="home/shellindex" />
    
    <add key="TcpCentreSrvHost" value="127.0.0.1" />
    <add key="TcpCentreSrvPort" value="8007" />
    -->
    
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    
  </appSettings>

  <plugins>
    <add key="plugin01" value="GeekDesk.exe" />
    <add key="plugin02" value="Plugins/HelloPlugin.dll" />
    <add key="plugin03" value="QuickEdit.dll" />
    <add key="plugin04" value="Plugins/WowFinder.dll" />
    <add key="plugin05" value="Plugins/HappyDictionary.dll" />
  </plugins>

  <wowFinderSettings>
    <add key="tab1" value="Wow Finder,WowFinder.Wow" />
  </wowFinderSettings>
  
  <geekDeskSettings>
    <add key="tab1" value="极客桌面,GeekDesk.Control.GeekDeskControl" />
  </geekDeskSettings>

  <remoteMainSettings>
    <add key="tab1" value="星云串流,#remoteMain" />
    <add key="tab2" value="后台管理,#workerList" />
  </remoteMainSettings>

  <retroGamesSettings>
    <add key="tab1" value="复古游戏,NebulaBox.Views.RetroGames" />
  </retroGamesSettings>

  <!--<workerListSettings>
    <add key="tab1" value="后台管理,#workerList" />
  </workerListSettings>-->
  
  <aboutSettings>    
    <add key="tab1" value="关于,NebulaBox.Views.HelloView,images/icons/a.png" />    
    <add key="tab2" value="日志,*NebulaBox.Views.LogView,images/icons/b.png" />
  </aboutSettings>

  <aria2Settings>
    <add key="tab1" value="ARIA2 闪电下载器,NebulaBox.Views.Aria2Manager" />
  </aria2Settings>

  <happyDictSettings>
    <add key="tab1" value="HappyDictionary,HappyDictionary.HappyDictionaryControl" />
  </happyDictSettings>
  
  <!--<helloSettings>
    <add key="tab1" value="复古游戏,HelloPlugin.Hello" />
    <add key="tab2" value="QuickEdit,QuickEdit.UserControl1" />
  </helloSettings>-->
  
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="Libs;" />
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.1" newVersion="7.0.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.InteropServices.RuntimeInformation" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.2.0" newVersion="4.0.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Reflection" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.InteropServices" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.Extensions" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.Tracing" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Data.SQLite" publicKeyToken="db937bc2d44ff139" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.115.0" newVersion="1.0.115.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.3.0" newVersion="4.1.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Options" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.1" newVersion="7.0.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Collections.Immutable" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetty.Transport" publicKeyToken="bc13ca065fa06c29" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-0.7.6.0" newVersion="0.7.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetty.Buffers" publicKeyToken="bc13ca065fa06c29" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-0.7.6.0" newVersion="0.7.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetty.Common" publicKeyToken="bc13ca065fa06c29" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-0.7.6.0" newVersion="0.7.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetty.Codecs" publicKeyToken="bc13ca065fa06c29" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-0.7.6.0" newVersion="0.7.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="NAudio.WinMM" publicKeyToken="e279aa5131008a41" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.1.0" newVersion="2.2.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="NAudio.Core" publicKeyToken="e279aa5131008a41" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.1.0.0" newVersion="2.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Win32.Registry" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Web.WebView2.WinForms" publicKeyToken="2a8ab48044d2601e" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.3296.44" newVersion="1.0.3296.44" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Web.WebView2.Core" publicKeyToken="2a8ab48044d2601e" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.3296.44" newVersion="1.0.3296.44" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.6" newVersion="9.0.0.6" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.6" newVersion="9.0.0.6" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.web>
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" fileEncoding="utf-8" culture="zh-CN" />
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <entityFramework>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
      <provider invariantName="System.Data.SQLite.EF6" type="System.Data.SQLite.EF6.SQLiteProviderServices, System.Data.SQLite.EF6" />
    </providers>
  </entityFramework>
  
</configuration>
